Get workspace evidence health
Report collection and freshness separately from connector configuration.
GET
Report collection and freshness separately from connector configuration.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidstale_after_seconds?|nullSuccessful Response
application/json- response
architecture_snapshot_id?|nullblocking_uncertainty_count*Blocking Uncertainty Countentity_kind_coverage?array<>entity_kind_coverage_rate?Entity Kind Coverage RateDefault
"0"generated_at?|nullhealthy_source_count*Healthy Source Countitems*array<>missing_signal_count*Missing Signal Countoverall*OverallValue in
"healthy""degraded""stale""failed""pending""missing"slo?snapshot_id?|nullsource_count*Source Countsource_coverage*Source Coverageuncertainties?array<>uncertainty_count*Uncertainty Countcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/evidence/health'Example Response
{ "architecture_snapshot_id": "afa8647c-57ea-4899-85d3-92a7dd133667", "blocking_uncertainty_count": 0, "entity_kind_coverage": [ { "coverage": "string", "entity_kind": "string", "expectation_basis": "source_family_presence", "expected_minimum": 0, "observed_count": 0, "source_families": [ "string" ], "status": "observed" } ], "entity_kind_coverage_rate": "0", "generated_at": "2019-08-24T14:15:22Z", "healthy_source_count": 0, "items": [ { "age_seconds": 0, "alert_level": "none", "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "authorization_health": "healthy", "collection_health": "complete", "content_ref": "string", "coverage": "string", "coverage_basis": "expected_signals", "error_category": "authorization", "error_code": "string", "expected_signal_count": 0, "freshness_health": "current", "health": "healthy", "latest_run_id": "01a26ba9-be7a-49f1-b8f1-c778060a6d27", "latest_run_status": "string", "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157", "missing_signals": [ "string" ], "observed_at": "2019-08-24T14:15:22Z", "observed_signal_count": 0, "owner_route": "connector_initiator", "owner_user_id": "65139110-7c3c-4777-b692-80c218be3b9d", "recovery_action": "string", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "retry_after_seconds": 0, "retry_mode": "automatic", "signals": [ "string" ], "source_key": "string", "source_kind": "string", "source_name": "", "stale_after_seconds": 0, "status": "string", "transport_health": "healthy", "uncertainties": [ { "blocking": false, "code": "missing_source", "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "scope": "source", "source_keys": [ "string" ], "state": "open", "subject_key": "string" } ] } ], "missing_signal_count": 0, "overall": "healthy", "slo": { "classified_error_count": 0, "classified_error_rate": "1", "current_source_rate": "0", "failed_run_count": 0, "run_count": 0, "terminal_run_count": 0, "terminal_run_rate": "0", "window_hours": 24 }, "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "source_count": 0, "source_coverage": "string", "uncertainties": [ { "blocking": false, "code": "missing_source", "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "scope": "source", "source_keys": [ "string" ], "state": "open", "subject_key": "string" } ], "uncertainty_count": 0}